Loading...
Searching...
No Matches
ClpDualRowDantzig Class Reference

Dual Row Pivot Dantzig Algorithm Class. More...

`#include <ClpDualRowDantzig.hpp>`

Inheritance diagram for ClpDualRowDantzig:
[legend]
Collaboration diagram for ClpDualRowDantzig:
[legend]

## Public Member Functions

Algorithmic methods
virtual int | pivotRow ()
| Returns pivot row, -1 if none.
virtual double | updateWeights (CoinIndexedVector *input, CoinIndexedVector *spare, CoinIndexedVector *spare2, CoinIndexedVector *updatedColumn)
| Updates weights and returns pivot alpha.
virtual void | updatePrimalSolution (CoinIndexedVector *input, double theta, double &changeInObjective)
| Updates primal solution (and maybe list of candidates) Uses input vector which it deletes Computes change in objective function.
Constructors and destructors
| ClpDualRowDantzig ()
| Default Constructor.
| ClpDualRowDantzig (const ClpDualRowDantzig &)
| Copy constructor.
ClpDualRowDantzig & | operator= (const ClpDualRowDantzig &rhs)
| Assignment operator.
virtual | ~ClpDualRowDantzig ()
| Destructor.
virtual ClpDualRowPivot * | clone (bool copyData=true) const
| Clone.
Public Member Functions inherited from ClpDualRowPivot
virtual void | saveWeights (ClpSimplex *model, int mode)
| Saves any weights round factorization as pivot rows may change Will be empty unless steepest edge (will save model) May also recompute infeasibility stuff 1) before factorization 2) after good factorization (if weights empty may initialize) 3) after something happened but no factorization (e.g.
virtual void | checkAccuracy ()
| checks accuracy and may re-initialize (may be empty)
virtual void | unrollWeights ()
| Gets rid of last update (may be empty).
virtual void | clearArrays ()
| Gets rid of all arrays (may be empty).
virtual bool | looksOptimal () const
| Returns true if would not find any row.
virtual void | maximumPivotsChanged ()
| Called when maximum pivots changes.
| ClpDualRowPivot ()
| Default Constructor.
| ClpDualRowPivot (const ClpDualRowPivot &)
| Copy constructor.
ClpDualRowPivot & | operator= (const ClpDualRowPivot &rhs)
| Assignment operator.
virtual | ~ClpDualRowPivot ()
| Destructor.
ClpSimplex * | model ()
| Returns model.
void | setModel (ClpSimplex *newmodel)
| Sets model (normally to NULL).
int | type ()
| Returns type (above 63 is extra information).

## Additional Inherited Members

Protected Attributes inherited from ClpDualRowPivot
ClpSimplex * | model_
| Pointer to model.
int | type_
| Type of row pivot algorithm.

## Detailed Description

Dual Row Pivot Dantzig Algorithm Class.

This is simplest choice - choose largest infeasibility

Definition at line 19 of file ClpDualRowDantzig.hpp.

## Constructor & Destructor Documentation

## ClpDualRowDantzig() [1/2]

ClpDualRowDantzig::ClpDualRowDantzig | ( |  | ) |

Default Constructor.

## ClpDualRowDantzig() [2/2]

ClpDualRowDantzig::ClpDualRowDantzig | ( | const ClpDualRowDantzig & |  | ) |

Copy constructor.

## ~ClpDualRowDantzig()

virtual ClpDualRowDantzig::~ClpDualRowDantzig | ( |  | ) |

virtual

Destructor.

## Member Function Documentation

## pivotRow()

virtual int ClpDualRowDantzig::pivotRow | ( |  | ) |

virtual

Returns pivot row, -1 if none.

Implements ClpDualRowPivot.

Reimplemented in ClpPEDualRowDantzig.

## updateWeights()

virtual double ClpDualRowDantzig::updateWeights | ( | CoinIndexedVector * | input,
|  | CoinIndexedVector * | spare,
|  | CoinIndexedVector * | spare2,
|  | CoinIndexedVector * | updatedColumn )

virtual

Updates weights and returns pivot alpha.

Also does FT update

Implements ClpDualRowPivot.

Reimplemented in ClpPEDualRowDantzig.

## updatePrimalSolution()

virtual void ClpDualRowDantzig::updatePrimalSolution | ( | CoinIndexedVector * | input,
|  | double | theta,
|  | double & | changeInObjective )

virtual

Updates primal solution (and maybe list of candidates) Uses input vector which it deletes Computes change in objective function.

Implements ClpDualRowPivot.

## operator=()

ClpDualRowDantzig & ClpDualRowDantzig::operator= | ( | const ClpDualRowDantzig & | rhs | ) |

Assignment operator.

## clone()

virtual ClpDualRowPivot * ClpDualRowDantzig::clone | ( | bool | copyData = true | ) | const

virtual

Clone.

Implements ClpDualRowPivot.

Reimplemented in ClpPEDualRowDantzig.

The documentation for this class was generated from the following file:

- Clp/src/ClpDualRowDantzig.hpp